Bug 199960 - alsa plugin configure tries to list also mixers for input only cards. (attachement contains possible fix)
alsa plugin configure tries to list also mixers for input only cards. (attach...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 12:12 EDT by Suhan Andrei
Modified: 2008-05-06 12:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:09:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
unified diference of fix (4.85 KB, application/x-compressed-tar)
2006-07-24 12:12 EDT, Suhan Andrei
no flags Details

  None (edit)
Description Suhan Andrei 2006-07-24 12:12:23 EDT
Description of problem:
FC5 with audio card and webcam ( Logitech QuickCam Comunicate STX) .
Logitech QuickCam Comunicate STX has only microphone device and provide a mixer
for recording volume control.

Version-Release number of selected component (if applicable):
rpm -qa | grep xmms
xmms-libs-1.2.10-25.fc5
xmms-1.2.10-25.fc5

uname -a
Linux localhost.localdomain 2.6.17-1.2157_FC5 #1 Tue Jul 11 22:55:46 EDT 2006
i686 i686 i386 GNU/Linux

How reproducible:
Logitech QuickCam Comunicate STX in a FC5 pc. It reproduces always.

Steps to Reproduce:
1.Logitech QuickCam Comunicate STX installed in system
2. Context menu of xmms
3. Options->preferences -> Audio I/O Plugins tab
4. Select alsa plugin ( libALSA.so )
5. Click "Configure Button"
6. Mixer Card listbox contains "USB Device 0x46d:0x8ad" which is an input only
device
  
Actual results:
I get the USB device included in "Mixer Card", and when selected the list of
mixer devices does not become empty. It has items from previous mixer card.

Expected results:
Because Logitech QuickCam Comunicate STX provides only an input mixer it shall
be excluded from the list.

Additional info:

I have atached an archive with a possible fix. it contains original file from
Output/alsa/configure.c fixed file and diff.

The main idea for fix is that function 
static int get_cards(GtkOptionMenu *omenu, GtkSignalFunc cb, int active)
shall filter out the cards that have no output mixer.
Comment 1 Suhan Andrei 2006-07-24 12:12:23 EDT
Created attachment 132929 [details]
unified diference of fix
Comment 2 Ville Skyttä 2006-11-05 16:17:19 EST
xmms is in Fedora Extras since FC4, moving/reassinging.
Comment 3 Suhan Andrei 2007-01-17 19:02:53 EST
This ocurs as well for fc6 ( fc6 extras )  , seems no change in about 6 months ,
and there is a possible fix ! hmmm amybody there ? 
Comment 4 Paul F. Johnson 2007-01-18 18:15:45 EST
It seems fine in Rawhide. I'm pushing a fixed version for rawhide tonight and if
it's happy, put into FC6 next week.
Comment 5 Bug Zapper 2008-04-03 23:22:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:09:50 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.